aboutsummaryrefslogtreecommitdiffstats
path: root/examples/fo/runtests.sh
diff options
context:
space:
mode:
authorJeremias Maerki <jeremias@apache.org>2003-01-29 16:07:56 +0000
committerJeremias Maerki <jeremias@apache.org>2003-01-29 16:07:56 +0000
commita0362d121b548a844aa633394e2e3d2d12164665 (patch)
tree1bfbc12261a68759e956ce5284fc0be7f793f8aa /examples/fo/runtests.sh
parent9264a28a5ed45d82fb52cea2845078eb066b789b (diff)
downloadxmlgraphics-fop-a0362d121b548a844aa633394e2e3d2d12164665.tar.gz
xmlgraphics-fop-a0362d121b548a844aa633394e2e3d2d12164665.zip
Move over from docs/examples
git-svn-id: https://svn.apache.org/repos/asf/xmlgraphics/fop/trunk@195905 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'examples/fo/runtests.sh')
-rw-r--r--examples/fo/runtests.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/examples/fo/runtests.sh b/examples/fo/runtests.sh
new file mode 100644
index 000000000..c3eb8623a
--- /dev/null
+++ b/examples/fo/runtests.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+echo
+echo "Fop Test"
+echo "----------------"
+echo
+
+if [ "$JAVA_HOME" = "" ] ; then
+ echo "ERROR: JAVA_HOME not found in your environment."
+ echo
+ echo "Please, set the JAVA_HOME variable in your environment to match the"
+ echo "location of the Java Virtual Machine you want to use."
+ exit 1
+fi
+LIBDIR=../../lib
+LOCALCLASSPATH=$JAVA_HOME/lib/tools.jar:$JAVA_HOME/lib/classes.zip
+LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/ant.jar
+LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xml-apis.jar
+LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xercesImpl-2.2.1.jar
+LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xalan-2.4.1.jar
+
+ANT_HOME=$LIBDIR
+
+echo Building with classpath $CLASSPATH:$LOCALCLASSPATH
+echo
+
+echo Starting Tests...
+echo
+
+$JAVA_HOME/bin/java -Dant.home=$ANT_HOME -classpath "$LOCALCLASSPATH:$CLASSPATH" org.apache.tools.ant.Main $*